Reclassify a checkpoint violation
curl --request POST \
--url https://api.mnemom.ai/v1/agents/{agent_id}/reclassify \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"checkpoint_id": "<string>",
"reason": "<string>",
"card_amendment_id": "<string>"
}
'import requests
url = "https://api.mnemom.ai/v1/agents/{agent_id}/reclassify"
payload = {
"checkpoint_id": "<string>",
"reason": "<string>",
"card_amendment_id": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({checkpoint_id: '<string>', reason: '<string>', card_amendment_id: '<string>'})
};
fetch('https://api.mnemom.ai/v1/agents/{agent_id}/reclassify', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"reclassification_id": "<string>",
"checkpoint_id": "<string>",
"agent_id": "<string>",
"original_type": "<string>",
"new_type": "<string>",
"reason": "<string>",
"score_impact": {
"previous_score": 123,
"new_score": 123,
"delta": 123
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": "<unknown>"
}
}Reclassification
Reclassify a checkpoint violation
Reclassify a previously recorded AIP checkpoint violation.
POST
/
agents
/
{agent_id}
/
reclassify
Reclassify a checkpoint violation
Authorizations
BearerAuthApiKeyAuth
Supabase JWT token in Authorization: Bearer header
Path Parameters
Agent identifier (e.g. smolt-abc123)
Body
application/json
Response
Reclassification result with score impact
Result of a checkpoint violation reclassification.
Unique identifier for this reclassification
Identifier of the reclassified checkpoint
Agent whose checkpoint was reclassified
Original violation type before reclassification
New violation type after reclassification
Justification provided for the reclassification
Impact of the reclassification on the agent's score
Show child attributes
Show child attributes
⌘I